Subject: Re: Need Information Urgently

From: Ketan Bajaj <[email-masked]>
Date: Sat, 31 Oct 1998 14:22:10 +0530 (IST)

Hi Arkesh,

I  may be able to answer your first question. Yes, a buffering policy can
be used at hub, but the hub CAN NOT send back acks to the Tcp data source
as it would violate the TCP semantics. This is because data has not 
actually reached the correct destination.

I have been working on a link layer protocol for improving performance of
TCP over satellite links, which uses buffering concepts and a number of
state variables for maintaining semantics and handling other issues. 

The report and the performance measurements will be ready by December
15th. I could send a copy then ...

Regards,

Ketan Bajaj

Department of Computer Sci.& Engg.
Indian Institute of Technology
New Delhi

On Fri, 30 Oct 1998, R.S.Arkesh Kumar wrote:

> Hi
> 	We have started work on a project "Internet Access via Satellite".
> The basic architecture is that of a TDM/TDMA, with the interface to the
> Internet at the Hub being a standard Router and a Internt Server(a
> Workstation).
> 	I have the following doubts regarding TCP/IP implementation over
> the Satellite :
> 1. Why is TCP/IP implemented over the Satellite ? Cannot something like a
> "Store and Forward" policy be adopted, i.e., all the Internet datagrams
> which land at the Hub are buffered by the server, and it itself generates
> the ACK packet to the source.  The server will then encapsulate the data
> in a proprietary format and sends it to the appropriate VSAT(remote
> terminal).  Any data lost in the satellite link will be taken care by the
> server at the Hub by retransmission independent of the original source.
> The same policy is used for the IP datagrams generated by the VSAT.
> 	Wouldn't the above method be a better implementation, rather than
> running TCP/IP over the satellite ?
> 	Can the same TCP/IP Protocol stack as used for terrestrial
> networks be used in this case ?
> 
> b. Is a back channel of 64 kbps which will be shared by a number of VSATs
> on a TDMA be sufficient for the ACK packets generated by TCP ? Will a
> smaller data rate affect the overall throughput ? Where will I get more
> details in this regard ?
> 
> c. Can a Router be configured for a network MTU manually ? / How does a
> Router learn the MTU of a connected network ?  
> 
> Reply ASAP,
> With regards,
> Arkesh
> ###############################################
> 
> R. S. ARKESH KUMAR
> RESEARCH ENGINEER
> SATELLITE COMMUNICATION
> CENTRE FOR DEVELOPMENT OF TELEMATICS
> 71/1, MILLER ROAD
> BANGALORE - 560 052
> 
> Other E-Mail address : [email-masked]
> 
> PHONE : 91-80-2261529
> FAX:91-80-2263256
> 
> ################################################
>

---

From: [email-masked] (Doug Dillon)
Date: Sat, 31 Oct 1998 09:46:21 -0500

I'd be interested to know what semantics are lost
by intermediate acknowledgements. When I look at the
WinSock socket interface, I don't get any notice after I do a send
of whether the data I sent actually arrived. This has to happen
(I think) at the application layer.

    Doug.............